Name: sugar-stats-server
Version: 0.1

Release: 13.1
Group: Development/Tools/Other
Summary: Library to gather Sugar usage statistics
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Platform_Team/Usage_Statistics

Source: sugar-stats-server-0.1.tar.gz
Source1: sweet.tar.gz



Requires: restful-document
Requires: sugar-stats

BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Library to gather Sugar usage statistics

%prep
%setup -n sugar-stats-server-0.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -D sugar-stats-server %{buildroot}/.dest/%{_bindir}/sugar-stats-server && install -m 0644 -D sugar-stats.conf %{buildroot}/.dest/%{_sysconfdir}/sugar-stats.conf && install -m 0755 -D sugar-stats-server.d %{buildroot}/.dest/%{_sysconfdir}/init.d/sugar-stats-server && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-stats-server.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/Server:Factory/sugar-stats-server
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/Server:Factory/sugar-stats-server/pydirs)
echo /opt/sweets/Server:Factory/sugar-stats-server/pydirs >> sugar-stats-server.files

%post
test -e /opt/sweets/Server:Factory/sugar-stats-server/pydirs && for i in `cat /opt/sweets/Server:Factory/sugar-stats-server/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true
getent group sugar-stats || groupadd -r sugar-stats; getent passwd sugar-stats || useradd -r -d / -M -g sugar-stats sugar-stats; mkdir -p /var/lib/sugar-stats /var/log/sugar-stats /var/run/sugar-stats; chown sugar-stats:sugar-stats -R /var/lib/sugar-stats /var/log/sugar-stats /var/run/sugar-stats; true

%preun
test -e /opt/sweets/Server:Factory/sugar-stats-server/pydirs && for i in `cat /opt/sweets/Server:Factory/sugar-stats-server/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-stats-server.files

%changelog
